Go Back   nV News Forums > Linux Support Forums > NVIDIA Linux

Newegg Daily Deals

Reply
 
Thread Tools
Old 12-13-04, 09:47 AM   #1
freelsjd
Registered User
 
Join Date: Feb 2003
Posts: 73
Default xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels fail

This message is a duplication of a Debian/Sid bug report I just submitted. I anticipate it will be rejected since the nvidia driver is not part of xfree86, but perhaps an NVIDIA developer may pick up on it.

Package: xfree86
Version: 4.3.0.dfsg.1-9

With the recent upgrade in all the xfree86 packages from -8 to -9 of
Debian/Sid, I discovered a bug when using the commercial nvidia drivers.
This bug does not appear when using the xfree86 nv drivers. It also
does not appear when using the 2.4.28 kernel. Only the 2.6.9 kernel
caused the problem (I only tested 2.4.28 and 2.6.9). I have installed
the commercial nvidia drivers in vanilla fashion directly from the
vendor. I have used the "--force-tls=classic" switch which is required
for some of my legacy applications.

The symptom is that Xfree86 fails on startup. No (EE) messages are
produced. Only the following error message is produced (nvidia driver,
2.6.9 kernel).

Fatal server error:
Caught signal 11. Server aborting


I worked around the problem by using the 2.4.28 kernel. I presently
cannot use the 2.6.9 kernel.

I expect this bug will be rejected since the nvidia driver is not part
of xfree86. However, since one purpose of this new upgrade may be to
include the packages in Sarge, and since there are Debian packages for
the installation of the commercial nvidia drivers, I felt it important
to disclose this bug.
__________________
J D Freels
freelsjd is offline   Reply With Quote
Old 12-13-04, 10:37 AM   #2
Lithorus
Registered User
 
Lithorus's Avatar
 
Join Date: Sep 2004
Posts: 783
Default Re: xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels

Config file and log would be helpfull...

I'm running the same versions just fine, however I noticed that when it was upgrading my X it started with all the xfree questions which means it prob. wanted to rebuild my config file, but I canceled that and everything is running fine.
Lithorus is offline   Reply With Quote
Old 12-13-04, 12:49 PM   #3
zander
NVIDIA Corporation
 
zander's Avatar
 
Join Date: Aug 2002
Posts: 3,740
Default Re: xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels fail

Using --force-tls overrides nvidia-installer's TLS test and is quite likely the source of your problem. Does the problem persist if you don't forcibly install the classic TLS libraries?
zander is offline   Reply With Quote
Old 12-13-04, 01:08 PM   #4
freelsjd
Registered User
 
Join Date: Feb 2003
Posts: 73
Default Re: xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels

I am running 2.4.28 with "--force-tls=classic" option just fine. Only the 2.6.9 kernel has this problem. Prior to the package upgrade, 2.6.9 ran fine. There is nothing wrong with my kernel. I suspect nothing wrong with the nvidia driver. I suspect the xfree86 upgrade caused this problem.

Are you running 2.6.9 with these new packages updated ? Do you have a flat panel and using the dvi port ?
__________________
J D Freels
freelsjd is offline   Reply With Quote
Old 12-13-04, 01:28 PM   #5
Lithorus
Registered User
 
Lithorus's Avatar
 
Join Date: Sep 2004
Posts: 783
Default Re: xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels

Quote:
Originally Posted by freelsjd
I am running 2.4.28 with "--force-tls=classic" option just fine. Only the 2.6.9 kernel has this problem. Prior to the package upgrade, 2.6.9 ran fine. There is nothing wrong with my kernel. I suspect nothing wrong with the nvidia driver. I suspect the xfree86 upgrade caused this problem.

Are you running 2.6.9 with these new packages updated ? Do you have a flat panel and using the dvi port ?
Yes to all of the above. I would love to help, but it's just SO much easier when you have a log and config file to look at.
Lithorus is offline   Reply With Quote
Old 12-13-04, 01:51 PM   #6
freelsjd
Registered User
 
Join Date: Feb 2003
Posts: 73
Default Re: xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels

OK. I am attaching the /usr/src/linux-2.6.9/.config file as config.txt

I am also attaching the output from the command as root

startx >startx.txt 2>&1

when the problem occurs.
Attached Files
File Type: txt config.txt (24.7 KB, 260 views)
File Type: txt startx.txt (2.0 KB, 255 views)
__________________
J D Freels
freelsjd is offline   Reply With Quote
Old 12-13-04, 10:02 PM   #7
freelsjd
Registered User
 
Join Date: Feb 2003
Posts: 73
Default Re: xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels

confirmation of this bug on a different machine

I have come up with this same bug on my home machine. Different monitor (crt), with and without the "--force-tls=classic" option. I guess this one is for real.
__________________
J D Freels
freelsjd is offline   Reply With Quote
Old 12-14-04, 02:23 AM   #8
Lithorus
Registered User
 
Lithorus's Avatar
 
Join Date: Sep 2004
Posts: 783
Default Re: xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels fail

You posted the wrong files..

The X log file is here : /var/log/XFree86.0.log
The X config file is here : /etc/X11/XF86Config-4
startx does produce some output, but far from everything.
Lithorus is offline   Reply With Quote

Old 12-14-04, 10:06 AM   #9
salman
Registered User
 
Join Date: Dec 2004
Posts: 1
Default Re: xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels

Hello,

I'm facing the same problem -- X will not load after a reboot unless the nvidia module is recompiled and reinstalled.

Below are an strace output file, the xf86 log file and the xf86 config file:

http://www.onefishtwofishredfishbluefish.org/x.log <- strace from X (~620k in size)
http://www.onefishtwofishredfishblue...g/XF86Config-4
http://www.onefishtwofishredfishblue.../XFree86.0.log
salman is offline   Reply With Quote
Old 12-14-04, 08:38 PM   #10
freelsjd
Registered User
 
Join Date: Feb 2003
Posts: 73
Default Re: xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels

Well you didn't specify which ones to send ! Sorry about that. I am attaching /var/log/XFree86.0.log and /etc/X11/XF86Config-4.

Try again.
Attached Files
File Type: txt XFree86.0.log.txt (27.3 KB, 240 views)
File Type: txt XF86Config-4.txt (3.0 KB, 284 views)
__________________
J D Freels
freelsjd is offline   Reply With Quote
Old 12-15-04, 03:01 AM   #11
Lithorus
Registered User
 
Lithorus's Avatar
 
Join Date: Sep 2004
Posts: 783
Default Re: xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels

Does your nvidia module load? Try with a "dmesg|grep" and see if any errors appear.

If nothing works you can also try and do a re-install of xserver-xfree86. Jump into aptitude, search for xserver and press "L" on both xserver-common and xserver-xfree86. You might wanna backup your X config file first.
Lithorus is offline   Reply With Quote
Old 12-15-04, 09:42 PM   #12
freelsjd
Registered User
 
Join Date: Feb 2003
Posts: 73
Default Re: xfree86 packages upgrade to 4.3.0.dfsg.1-9 from 4.3.0.dfsg.1-8 for 2.6.9 kernels

Yes, the nvidia module does load without errors. Builds fine from the pkg1.run package as it normally does.

Is this the same as
"apt-get --reinstall install xserver-common xserver-xfree86" ?

If so the output of this is:

Reading Package Lists... Done
Building Dependency Tree... Done
0 upgraded, 0 newly installed, 2 reinstalled, 0 to remove and 5 not upgraded.
Need to get 0B/6036kB of archives.
After unpacking 0B of additional disk space will be used.
Do you want to continue? [Y/n]
Preconfiguring packages ...
(Reading database ... 185400 files and directories currently installed.)
Preparing to replace xserver-common 4.3.0.dfsg.1-9 (using .../xserver-common_4.3.0.dfsg.1-9_i386.deb) ...
Unpacking replacement xserver-common ...
Preparing to replace xserver-xfree86 4.3.0.dfsg.1-9 (using .../xserver-xfree86_4.3.0.dfsg.1-9_i386.deb) ...
Unpacking replacement xserver-xfree86 ...

Setting up xserver-common (4.3.0.dfsg.1-9) ...

Setting up xserver-xfree86 (4.3.0.dfsg.1-9) ...
start_configlet: configlet in path /usr/share/configlets/localeconf is bad

I haven't tried again with 2.6.9, but this looks like a potential problem.

These are files out of the "localeconf" package. But, I do not see any Debian bug reports related to this for either packages localeconf or xserver-xfree86. I also tried to reinstll localeconf and it still produces this error message.
__________________
J D Freels
freelsjd is offline   Reply With Quote
Reply


Thread Tools

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off
Forum Jump


Similar Threads
Thread Thread Starter Forum Replies Last Post
X Failed to load NVdriver c00lr4c3r NVIDIA Linux 13 10-22-02 01:44 PM
Error messages... HELP!!!! Imperito NVIDIA Linux 3 09-24-02 10:46 PM
GForce drivers installed...but dont work tomfullery NVIDIA Linux 6 09-22-02 08:23 AM
Need help to get the X to work on my Acer TravelMate 630 knchee NVIDIA Linux 16 09-19-02 10:16 PM
RH7.3 and nForce - can't find the module dmw400 NVIDIA Linux 4 08-05-02 12:14 PM

All times are GMT -5. The time now is 04:16 AM.


Powered by vBulletin® Version 3.7.1
Copyright ©2000 - 2014, Jelsoft Enterprises Ltd.
Copyright 1998 - 2014, nV News.